Package be.e_contract.ejsf.component.geolocation

# Enum Class GeolocationPositionError

java.lang.Object
java.lang.Enum<GeolocationPositionError>
be.e_contract.ejsf.component.geolocation.GeolocationPositionError

All Implemented Interfaces:
  `Serializable`, `Comparable<GeolocationPositionError>`, `java.lang.constant.Constable`

public enum GeolocationPositionError extends Enum<GeolocationPositionError>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PERMISSION_DENIED`
`POSITION_UNAVAILABLE`
`TIMEOUT`

## Method Summary

Modifier and Type
Method
Description
`static GeolocationPositionError`
`fromCode(int code)`
`static GeolocationPositionError`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GeolocationPositionError[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PERMISSION_DENIED

public static final GeolocationPositionError PERMISSION_DENIED

### POSITION_UNAVAILABLE

public static final GeolocationPositionError POSITION_UNAVAILABLE

### TIMEOUT

public static final GeolocationPositionError TIMEOUT

## Method Details

### values

public static GeolocationPositionError[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static GeolocationPositionError valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromCode

public static GeolocationPositionError fromCode(int code)